## com.google.javascript.jscomp
Class CssRenamingMap.ByWhole

    java.lang.Object
      com.google.javascript.jscomp.CssRenamingMap.ByWhole

All Implemented Interfaces:
  CssRenamingMap

Enclosing interface:
  CssRenamingMap

    public abstract static class CssRenamingMap.ByWhole

extends Object
implements CssRenamingMap

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.javascript.jscomp.CssRenamingMap
`CssRenamingMap.ByPart, CssRenamingMap.ByWhole, CssRenamingMap.Style`

Constructor Summary
`CssRenamingMap.ByWhole()`

Method Summary
`abstract String` | `get(String value)`
`CssRenamingMap.Style` | `getStyle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CssRenamingMap.ByWhole

    public CssRenamingMap.ByWhole()

Method Detail

### get

    public abstract String get(String value)

  Specified by:
    `get` in interface `CssRenamingMap`

### getStyle

    public CssRenamingMap.Style getStyle()

  Specified by:
    `getStyle` in interface `CssRenamingMap`